classification
Title: macOS: implement time.thread_time() using thread_info()
Type: Stage: resolved
Components: macOS Versions: Python 3.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, pitrou, ronaldoussoren, vstinner
Priority: normal Keywords:

Created on 2017-11-20 17:20 by vstinner, last changed 2018-09-19 23:51 by vstinner. This issue is now closed.

Messages (3)
msg306569 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-20 17:20
bpo-32025 added time.thread_time() function. On macOS, CLOCK_THREAD_CPUTIME_ID is not available. I propose to add a macOS implementation using thread_info(): return the sum of user and system times.
msg306704 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2017-11-22 09:14
CLOCK_THREAD_CPUTIME_ID should be available on macOS 10.12 and later (which is also when clock_gettime was introduced).

I'm not sure if it is worthwhile to implement this fairly specialised function for older macOS releases due to the maintenance cost.
msg325831 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-09-19 23:51
> I'm not sure if it is worthwhile to implement this fairly specialised function for older macOS releases due to the maintenance cost.

Ok. I close the issue.
History
Date User Action Args
2018-09-19 23:51:04vstinnersetstatus: open -> closed
resolution: wont fix
messages: + msg325831

stage: resolved
2017-11-22 09:14:18ronaldoussorensetmessages: + msg306704
2017-11-20 17:20:53vstinnercreate